### Method

# EDataServer XmlDocument add_empty_element

since: 3.26

#### Declaration [src]

    void
    e_xml_document_add_empty_element (
      EXmlDocument* xml,
      const gchar* ns_href,
      const gchar* name
    )

#### Description [src]

Adds an empty element, which is an element with no attribute and no value.

It’s the same as calling `e_xml_document_start_element()` immediately followed by e_xml_document_end_element().

Available since: 3.26

#### Parameters

`ns_href`

  Type: `const gchar*`

  Optional namespace href for the new element, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Name of the new element.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.